<?php
/* * ********************************************************************************************
 * 								Open Real Estate
 * 								----------------
 * 	version				:	V1.36.0
 * 	copyright			:	(c) 2016 Monoray
 * 							http://monoray.net
 * 							http://monoray.ru
 *
 * 	website				:	http://open-real-estate.info/en
 *
 * 	contact us			:	http://open-real-estate.info/en/contact-us
 *
 * 	license:			:	http://open-real-estate.info/en/license
 * 							http://open-real-estate.info/ru/license
 *
 * This file is part of Open Real Estate
 *
 * ********************************************************************************************* */

class YandexRealty extends Apartment
{

    const YA_TYPE_LIVE = 1;
    const YA_TYPE_COMM = 2;
    const YA_TYPE_NEW = 3;

    public static function getYaTypesArray($withAll = false)
    {
        $types = array();

        if ($withAll) {
            $types[0] = tc('All');
        }

        $types[self::YA_TYPE_LIVE] = tt('Type live', 'apartmentObjType');
        $types[self::YA_TYPE_COMM] = tt('Type commercial', 'apartmentObjType');
        $types[self::YA_TYPE_NEW] = tt('Type new', 'apartmentObjType');

        return $types;
    }
}
